StoredFieldDataInput (Lucene 10.5.1 core API)
Description: declaration: package: org.apache.lucene.index, record: StoredFieldDataInput

Package org.apache.lucene.index

# Record Class StoredFieldDataInput

java.lang.Object
java.lang.Record
org.apache.lucene.index.StoredFieldDataInput

Record Components:
  `in` - the data input
  `length` - the length of the data input

public record StoredFieldDataInput(DataInput in, int length) extends Record
A fixed size DataInput which includes the length of the input. For use as a StoredField.

WARNING: This API is experimental and might change in incompatible ways in the next release.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StoredFieldDataInput(ByteArrayDataInput byteArrayDataInput)`
  Creates a StoredFieldDataInput from a ByteArrayDataInput
  `StoredFieldDataInput(DataInput in, int length)`
  Creates an instance of a `StoredFieldDataInput` record class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `DataInput`
  `getDataInput()`
  Returns the data input
  `int`
  `getLength()`
  Returns the length of the data input
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `DataInput`
  `in()`
  Returns the value of the `in` record component.
  `int`
  `length()`
  Returns the value of the `length` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### StoredFieldDataInput

    public StoredFieldDataInput(ByteArrayDataInput byteArrayDataInput)
    Creates a StoredFieldDataInput from a ByteArrayDataInput

  - ### StoredFieldDataInput

    public StoredFieldDataInput(DataInput in, int length)
    Creates an instance of a `StoredFieldDataInput` record class.
    Parameters:
      `in` - the value for the `in` record component
      `length` - the value for the `length` record component

- ## Method Details

  - ### getDataInput

    public DataInput getDataInput()
    Returns the data input

  - ### getLength

    public int getLength()
    Returns the length of the data input

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. Reference components are compared with `Objects::equals(Object,Object)`; primitive components are compared with '=='.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### in

    public DataInput in()
    Returns the value of the `in` record component.
    Returns:
      the value of the `in` record component

  - ### length

    public int length()
    Returns the value of the `length` record component.
    Returns:
      the value of the `length` record component